﻿Imports System
Imports System.Device.Location

Module Module1

    Sub Main()
        ResolverEnderecoSync()
        Console.ReadKey()
    End Sub

    Private Sub ResolverEnderecoSync()

        Dim observador As New GeoCoordinateWatcher(GeoPositionAccuracy.High)
        observador.MovementThreshold = 1.0
        ' set to one meter  
        observador.TryStart(False, TimeSpan.FromMilliseconds(1000))

        Dim resolver As New CivicAddressResolver()

        If observador.Position.Location.IsUnknown = False Then
            Dim address As CivicAddress = resolver.ResolveAddress(observador.Position.Location)

            If Not address.IsUnknown Then
                Console.WriteLine("Pais: {0}, Cep: {1}", address.CountryRegion, address.PostalCode)
            Else
                Console.WriteLine("Endereco desconhecido.")
            End If
        Else
            Console.WriteLine("Não foi possível obter dados de localização.")
        End If
    End Sub
End Module
